# pfSense

## Overview

The pfSense project is a free network firewall distribution, based on the FreeBSD operating system with a custom kernel and including third party free software packages for additional functionality. pfSense software, with the help of the package system, is able to provide the same functionality or more of common commercial firewalls, without any of the artificial limitations. It has successfully replaced every big name commercial firewall you can imagine in numerous installations around the world, including Check Point, Cisco PIX, Cisco ASA, Juniper, Sonicwall, Netgear, Watchguard, Astaro, and more.

pfSense software includes a web interface for the configuration of all included components. There is no need for any UNIX knowledge, no need to use the command line for anything, and no need to ever manually edit any rule sets. Users familiar with commercial firewalls catch on to the web interface quickly, though there can be a learning curve for users not familiar with commercial-grade firewalls.

pfSense started in 2004 as a fork of the [m0n0wall](http://m0n0.ch/wall/index.php "m0n0wall project homepage") Project (which ended 2015/02/15), though has diverged significantly since.

pfSense is Copyright 2004-2015 [Electric Sheep Fencing LLC](http://electricsheepfencing.com "Electric Sheep Fencing LLC homepage") and published under an open source license.
Read more at [https://pfsense.org/](https://pfsense.org/ "The pfSense homepage") and support the team by buying a Gold Membership Subscription, bundled hardware appliances or commercial support.

## Contribute

Contact [coreteam@pfsense.org](mailto:coreteam@pfsense.org "Mail to coreteam@pfsense.org") to get involved.

* Review our Developer Style Guide: https://doc.pfsense.org/index.php/Developer_Style_Guide
* Familiarize yourself with our git repositories (and github in general): https://github.com/pfsense
* Review the list of open bug reports and other issues: https://redmine.pfsense.org/projects/pfsense/issues
* Review and Sign the license agreement (LA) and either the Individual or Corporate CLA: https://doc.pfsense.org/index.php/Contributor_License_Agreement_for_Developers

Once you have the LA and CLA complete, you can submit changes as pull requests on github: https://help.github.com/articles/using-pull-requests/

Our developers will review the submissions, offer feedback, and merge the changes if they are acceptable.
